Subject: Re: UI and git-completion.sh

From: [email-masked] (Brian Downing)
Date: Tue, 23 Oct 2007 19:55:49 -0500

On Tue, Oct 23, 2007 at 05:31:02PM -0700, Randal L. Schwartz wrote:
> Yes, so what is the process of adding the git zsh completion to any
> relatively stable version of zsh?  Someone here must know.

I dunno the "right" way to do it, but I had this in my .zshrc file that
I presumably cargo-culted from somewhere:

    fpath=( $HOME/.zsh/compfuncs $fpath )

So in addition to that, doing:

    wget -O ~/.zsh/compfuncs/_git 'http://zsh.cvs.sourceforge.net/*checkout*/zsh/zsh/Completion/Unix/Command/_git'

might get you something.  I guess if your zsh is too old it might be
incompatible with the completion script, though...

-bcd